Bug 357151 - rpm doesn't distinguish between arches when checking if newer installed
rpm doesn't distinguish between arches when checking if newer installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 15:01 EDT by David Juran
Modified: 2009-01-09 00:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:00:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Juran 2007-10-29 15:01:00 EDT
Description of problem:
I've notice that lately(?) rpm has stopped distinguishing between different
arches when checking if there already is a newer version installed. With other
words, if I have an x86_64 package installed but want to install an older i386
version of the same package, rpm will tell me that I already have a newer
package installed.

Version-Release number of selected component (if applicable):
rpm-4.4.2.2-2.fc7

How reproducible:
Every time

Steps to Reproduce:
1. $ rpm -q --qf '%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n' libxklavier
libxklavier-3.3-1.fc8.x86_64

2.$ rpm -U --test libxklavier-3.1-2.fc7.i386.rpm 
        package libxklavier-3.3-1.fc8 (which is newer than
libxklavier-3.1-2.fc7) is already installed

  
Actual results:


Expected results:


Additional info:
Comment 1 David Juran 2008-01-11 06:46:14 EST
Still the same behaviour in rpm-4.4.2.2-7.fc8 in F8.
Comment 2 Jan Kratochvil 2008-02-12 16:11:59 EST
This is IMO a duplicate of Bug 235755.
Comment 3 Bug Zapper 2008-11-26 03:08:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:00:47 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.